Bug 211236 - Legacy app segfaults under FC5
Legacy app segfaults under FC5
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-17 20:00 EDT by Sherwood Botsford
Modified: 2008-05-06 12:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:30:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bourne shell script that starts the probram (4.36 KB, text/plain)
2006-10-17 20:11 EDT, Sherwood Botsford
no flags Details
strace -f run on startup script. (155.36 KB, text/plain)
2006-10-17 20:14 EDT, Sherwood Botsford
no flags Details

  None (edit)
Description Sherwood Botsford 2006-10-17 20:00:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060313 Fedora/1.5.0.1-9 Firefox/1.5.0.1 pango-text

Description of problem:
FrameMaker would run under FC4, and several earlier versions of RH linux.
After installing under FC5 it segfaults.  Enviroment is vanilla FC5 install. (No new kernel.)

Initially I suspected that this was the result of exec-shield, but setting this to 0 changes nothing.

Version-Release number of selected component (if applicable):
FrameMaker 5.5.6 Beta

How reproducible:
Always


Steps to Reproduce:
1./opt/frame/FM556_linux/bin/maker
2.
3.

Actual Results:

Segfault

Expected Results:

Splash scrren form FM

Additional info:

I'm attaching two strace files.
Comment 1 Sherwood Botsford 2006-10-17 20:11:05 EDT
Created attachment 138736 [details]
Bourne shell script that starts the probram


Included because the script sets up a lot of enviroment for the process
Comment 2 Sherwood Botsford 2006-10-17 20:14:44 EDT
Created attachment 138737 [details]
strace -f run on startup script.

Results of running strace -f  /opt/frame/FM556_linux/bin/maker

Note: 
# cat /proc/sys/kernel/exec-shield 
0
Comment 3 Dave Jones 2006-10-18 17:01:59 EDT
Ingo, any ideas ?
Comment 4 Sherwood Botsford 2007-07-11 15:08:32 EDT
Upgraded to FC6.  Problem disappears.

Can close problem now.
Comment 5 Bug Zapper 2008-04-04 00:01:05 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:29:58 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.